The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Create a Controller

Prev Next

This URL creates a new Controller.

Resource URL

POST /controller

Request Parameters

Payload Parameters:

Field Name Description Data Type Mandatory
name Name of cloud account string Yes
description Description of the cloud account string Yes
serviceIp IP address of the Controller string Yes
sharedSecretKey Shared secret key of the Controller string Yes
cloudType Type of cloud account. string Yes
authType Type of authentication. The values can be key_based or no_key.

If you are using key_based authentication, you should provide authentication details.

If you are using no_key authentication, you need not provide the authentication details. Authentication is done through Dynamic Groups.

string Yes
authenticator Authentication details object No

Details of authenticator:

Field Name Description Data Type Mandatory
tenantId Tenant ID string No
userId User ID string No
privateKey Private key used for authentication string No
passPhrase Pass phrase used for authentication string No
fingerprint Finger print used for authentication string No
accountId Account ID string No

Response Parameters

Following fields are returned in the response.

Field Name Description Data Type
success Indicates if creation of Controller is successful.

Value is set to true if creation of the Controller is successful.

Value is set to false if creation of the Controller is not successful.

string
msg Not applicable Not applicable
errMsg Not applicable Not applicable
domainName Not applicable Not applicable
data Controller object object

Details of data

Field Name Description Data Type
cloudUuid Cloud unique Id of the Controller instance string
hostName Hostname on which the Controller is installed string
controllerVersion Version of the Controller string
agentVersion Version of the Virtual Probe string
name Controller name string
description Description of the Controller string
controllerId ID of the newly created Controller number
serviceIp IP address of the Controller string
subscriberId Domain ID number
sharedSecretKey Shared secret key string
status Status of the Controller string
creationTime Creation time of the Controller number
cloudAccounts Cloud accounts configured for the Controller string
lastModifiedTime Last modified time of the Controller number
controllerName Name of the Controller string

Example

Request

POST https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/controller

Payload

{
"name": "Controller-6",
"description": "Test controller creation", 
"serviceIp": null,
"sharedSecretKey": "admin123",
"cloudAccounts": [{
"name":"acc_1", "description":"test account"
"authType": {
"code": "key_based"
},
"cloudType": {
"name": "aws"
},
"valid": true,
"authenticator": {
"tenantId": "ocid1.tenancy.oc1..aaaaaaaao4u4dpjovakm44",
"userId": "ocid1.user.oc1..aaaaaaaaozm22teq5atgpstp42g,
"privateKey": "MyAccount Description",
"passPhrase": "testphrase",
"fingerPrint": "fd:56:65:96:22:d4:c7:5c:17:f3:65:7d:b
"accountId": 0
 
}

} 

Response

{
    "success": true,
    "msg": null,
    "errMsg": null,
    "domainName": null,
    "data": {
        "cloudUuid": null,
        "hostName": null,
        "controllerVersion": null,
        "agentVersion": null,
        "name": "Controller-6",
        "description": "Test controller creation",
        "controllerId": 5,
        "serviceIp": null,
        "subscriberId": 0,
        "sharedSecretKey": "7a4a7b462c2f5a454e792118591d5c5c",
        "status": "UNREGISTERED",
        "creationTime": null,
        "lastModifiedTime": 1556272624000
    },
    "controllerName": null
}